> ## Documentation Index
> Fetch the complete documentation index at: https://developer.audienceful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Send Reports

> Returns a cursor-paginated list of completed email sends (send reports).

Requires the `reports:read` scope. Send Reports are completed email sends, most recent first.

### Query parameters

<ParamField query="search" type="string">
  Filter send reports by matching against the draft title. Example: `My newsletter`
</ParamField>

<ParamField query="page_size" type="number" default="25">
  The number of send reports to return per page.
</ParamField>

<ParamField query="cursor" type="string">
  The pagination cursor from a previous response's `next_cursor`. See [Pagination](/pagination).
</ParamField>

### Response

<ResponseField name="data" type="array">
  The page of send reports.

  <Expandable title="properties" defaultOpen="true">
    <ResponseField name="id" type="string">
      The id of the send report.
    </ResponseField>

    <ResponseField name="draft" type="object">
      The draft that was sent.

      <Expandable title="properties">
        <ResponseField name="id" type="string">
          The id of the draft.
        </ResponseField>

        <ResponseField name="title" type="string">
          The title of the draft.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="completed_at" type="string">
      The datetime (UTC) when the emails finished sending.
    </ResponseField>

    <ResponseField name="subject" type="string">
      The subject line of the send.
    </ResponseField>

    <ResponseField name="audiences" type="array[string]">
      The audiences that were sent to. If empty, the entire contact list was used.
    </ResponseField>

    <ResponseField name="identity" type="string">
      The identity (from address) the email was sent from.
    </ResponseField>

    <ResponseField name="stats" type="object">
      Send statistics.

      <Expandable title="properties">
        <ResponseField name="delivered" type="number">
          The number of emails delivered.
        </ResponseField>

        <ResponseField name="opened" type="number">
          The number of unique opens.
        </ResponseField>

        <ResponseField name="unsubscribed" type="number">
          The number of contacts who unsubscribed as a result of the send.
        </ResponseField>

        <ResponseField name="complained" type="number">
          The number of spam complaints.
        </ResponseField>

        <ResponseField name="failed" type="number">
          The number of emails that failed to send.
        </ResponseField>

        <ResponseField name="clicked" type="number">
          The number of clicks.
        </ResponseField>

        <ResponseField name="clicked_urls" type="object">
          A map of each link in the email to its click count.
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="has_more" type="boolean">
  Whether more send reports exist after this page.
</ResponseField>

<ResponseField name="next_cursor" type="string or null">
  The cursor to pass as `?cursor=` to fetch the next page.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.audienceful.com/v2/reports' \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <your-api-key>'
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.audienceful.com/v2/reports"
  headers = {
      "Content-Type": "application/json",
      "X-Api-Key": "<your-api-key>",
  }

  response = requests.get(url, headers=headers)
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://api.audienceful.com/v2/reports", {
    method: "GET",
    headers: {
      "Content-Type": "application/json",
      "X-Api-Key": "<your-api-key>",
    },
  });
  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "data": [
      {
        "id": "YYjbCtcEZJgswoPnYxdvBH",
        "draft": {
          "id": "dKvQk6HNNtduqrX98gEYyY",
          "title": "Save 25% on everything you need for the winter"
        },
        "completed_at": "2026-07-04T12:00:00Z",
        "subject": "Save 25% on everything you need for the winter",
        "audiences": ["Engaged users"],
        "identity": "hello@yourbrand.com",
        "stats": {
          "delivered": 12450,
          "opened": 6189,
          "unsubscribed": 5,
          "complained": 0,
          "failed": 16,
          "clicked": 980,
          "clicked_urls": {
            "https://audienceful.com": 980
          }
        }
      }
    ],
    "has_more": true,
    "next_cursor": "cD0yMDI2LTA3LTA0VDEyOjAwOjAwWg"
  }
  ```
</ResponseExample>
